#
#   MakeFile
#
#	MPW makefile for SuperSort sample plug-in modules.
#
#	Copyright  1993, Apple Computer, Inc.
#

### build rules for 68K portion of ShellSort plug in

ShellSort  ShellSort.o
	Link -t 'SORT' -c 'TIMN' -m ShellSort -rt SORT=128 ShellSort.o -o {Targ}
	
ShellSort.o  ShellSort.c
	C ShellSort.c  -o {Targ}
	
### build rules for PowerPC portion of ShellSort plug in

ShellSort  ShellSort.make ShellSort.c.o
	PPCLink -main ShellSort  -export ShellSort		
			ShellSort.c.o 							
			"{PPCLibraries}"InterfaceLib.xcoff 
			"{PPCLibraries}"StdCRuntime.o 			
			"{PPCLibraries}"PPCCRuntime.o 			
			-o ShellSort.xcoff
	makepef ShellSort.xcoff  -e ShellSort			
			-l InterfaceLib.xcoff=InterfaceLib 		
			-ft SORT -fc TIMN -o ShellSort
#	MakeSYM -o ShellSort.SYM	ShellSort.xcoff							# optional step for debugging

ShellSort.c.o  ShellSort.make ShellSort.c
	PPCC -w conformance -appleext on -sym full ShellSort.c -o {Targ}

