#   File:       SuperSort.make
#   Target:     SuperSort
#   Sources:    SuperSort.c
#               SuperSort.r
#               Timing.c
#   Created:    Friday, September 17, 1993 02:52:05 PM


POWERPCOBJECTS = 
		SuperSort.o 
		Timing.o 

68KOBJECTS = 
		SuperSort.c.o 
		Timing.c.o 


SuperSort   SuperSort.make SuperSort.r
	Rez SuperSort.r -append -o SuperSort

SuperSort  SuperSort.make  {POWERPCOBJECTS}
	PPCLink  
		{POWERPCOBJECTS} 
		"{PPCLibraries}"InterfaceLib.xcoff 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		-main main 
		-o SuperSort.xcoff
	makePEF SuperSort.xcoff -o SuperSort 
		-l InterfaceLib.xcoff=InterfaceLib 
		-l MathLib.xcoff=MathLib 
		-l StdCLib.xcoff=StdCLib 
		-ft APPL -fc TIMN -e main
SuperSort.o  SuperSort.make SuperSort.c
	 PPCC -w conformance -appleext on SuperSort.c -o SuperSort.o
Timing.o  SuperSort.make Timing.c
	 PPCC -w conformance -appleext on Timing.c -o Timing.o

SuperSort  SuperSort.make  {68KOBJECTS}
	Link -t APPL -c TIMN 
		{68KOBJECTS} 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		-o SuperSort
SuperSort.c.o  SuperSort.make SuperSort.c
	 C -r SuperSort.c
Timing.c.o  SuperSort.make Timing.c
	 C -r Timing.c
