# Changes:
# 12/94 dkj: fixed bug by adding -b option to the makepef command in the makefile

PPCOpts = -w conformance -appleext on
PPCLibs = -l InterfaceLib.xcoff=InterfaceLib -l StdCLib.xcoff=StdCLib -l MathLib.xcoff=MathLib

WDEF	 WDEF.rsrc
	rez WDEF.r -a -o {Targ}
	setfile -t 'rsrc' -c 'RSED' {Targ}

WDEF.rsrc   WDEF.make WDEF.c.o
	Link -t rsrc -c RSED -rt oCod=128 		
		-m MAIN -sg WDEF 	
		WDEF.c.o 							
		-o {Targ}	

WDEF.c.o   WDEF.make WDEF.c
	 C -warnings off -r  WDEF.c -o {Targ}

WDEF.rsrc  WDEF.make	WDEF.o
	PPCLink -warn -main main 					
			WDEF.o 								
			"{PPCLibraries}"InterfaceLib.xcoff 	
			"{PPCLibraries}"StdCLib.xcoff 		
			"{PPCLibraries}"StdCRuntime.o 		
			"{PPCLibraries}"PPCCRuntime.o 		
			-o WDEF.xcoff
	makepef WDEF.xcoff -b -o WDEF.pef {PPCLibs}	# create pef executable
	echo "read 'pCod' (128) "WDEF.pef";" | rez -a -o WDEF.rsrc
	
WDEF.o  WDEF.make WDEF.c
	PPCC {PPCOpts}  WDEF.c -o WDEF.o


