#ifndef __QDOFFSCREEN__
#	include <QDOffscreen.h>
#endif

void	InitToolbox( void );
void	MainEventLoop( void );

/* Event handling routines */

void	DoEvent( EventRecord *event );

void	DoKeyPress( EventRecord *event );
void	DoMouseDown( EventRecord *event );
void	DoUpdate( EventRecord *event );
void	DoMenuCommand( long menuResult );

Boolean	IsAppWindow( WindowPtr window );
Boolean	IsDAWindow( WindowPtr window );
Boolean	IsDialogWindow( WindowPtr window );

GWorldPtr GetPictWorld(Rect *srcRect, short depth, short pictID);

void	DoNewWindow(void);
void	DoContentClick(EventRecord *event, WindowPtr win);
void	CloseAnyWindow(WindowPtr window);
void	DoUpdateWindow(EventRecord *event);
void	InvalidateScrollbars(WindowPtr theWindow);

pascal void	MyCopyPixels(BitMapPtr srcBits, BitMapPtr dstBits,
					 Rect *srcRect, Rect *dstRect, 
					 short mode, RgnHandle mask);


#define NIL				0L
#define MAXLONG			0x7FFFFFFF

#define	kNewWindowId	128
#define	kAboutAlertId	128
#define	kMenuBarId		128

#define	mApple			128			/* Apple menu */
enum	{ iAbout = 1 };

#define	mFile			129			/* File menu */
enum	{ iQuit = 1 };

#define mEdit			130			/* Edit menu */
enum	{ iUndo = 1, iEditSep, iCut, iCopy, iPaste, iClear };