#
#	File:		Orbits.make
#
#	Contains:	Planetary orbit display templates
#
#	Written by:	Harry Chesley
#
#	Copyright:	 1994 by Apple Computer, Inc.
#
#	Change History (most recent first):
#
#		 		  5/25/94	hrc		created
#
#	To Do:
#

COptions =  -b

Orbits		 Orbits.r Orbits.rsrc Orbits.make
			Rez -a -i :OCEIncludes -o Orbits Orbits.r
			SetFile Orbits -t 'detf' -c '????' -a B

Orbits		 Planet.r Planet.rsrc Orbits.make
			Rez -a -i :OCEIncludes -o Orbits Planet.r

Orbits		 Orbits.c.o Orbits.make
			Link -o Orbits -rt detc=1004 -m ORBITS -sg Everything Orbits.c.o {Libraries}Runtime.o {Libraries}Interface.o {CLibraries}CSANELib.o {CLibraries}StdCLib.o

Orbits.c.o		Orbits.c Orbits.make

Orbits		 Planet.c.o Orbits.make
			Link -o Orbits -rt detc=10004 -m PLANET -sg Everything Planet.c.o {Libraries}Runtime.o {Libraries}Interface.o {CLibraries}CSANELib.o {CLibraries}Math.o {CLibraries}StdCLib.o

Planet.c.o		Planet.c Planet.h Orbits.make
