#include <AppleEvents.h>

/* Menu IDs and item numbers */
#define kAppleMenuID		128
	#define	iAbout			1

#define kFileMenuID			129
	#define	iNew			1
	#define	iOpen			2
	#define	iClose			3
	#define	iSave			4
	#define	iSaveAs			5
	#define	iPageSetup		7
	#define	iPrint			8
	#define	iQuit			10

#define kEditMenuID			130
	#define	iUndo			1
	#define	iCut			3
	#define	iCopy			4
	#define	iPaste			5
	#define	iClear			6

/* Indexes into global menu array */
#define kAppleMenu			0
#define kFileMenu			1
#define kEditMenu			2

/* Protoypes for routines that app must provide */

/* Allow app a crack at raw event */
Boolean AppDoEvent(EventRecord *Event);

/* The start and the end */
Boolean	AppInit(void);
Boolean	AppQuit(void);
void 	AppCleanUp(void);

/* Events */
void 	AppActivate(WindowPtr wind, Boolean activate);
void 	AppUpdate(EventRecord *event);
void 	AppIdle(EventRecord *event);
void 	AppClick(Point thePt, WindowPtr whichWindptr, Boolean doubleClick);
void 	AppGrowWindow(WindowPtr wind, Point where, Rect *desk);
void 	AppZoomWindow(WindowPtr wind, short zoomDir);

/* Apple Event handlers */
pascal OSErr AppOAPPHandler(AppleEvent *theAEvent, AppleEvent *reply, long refcon);
pascal OSErr AppODOCHandler(AppleEvent *theAEvent, AppleEvent *reply, long refcon);
pascal OSErr AppPDOCHandler(AppleEvent *theAEvent, AppleEvent *reply, long refcon);
pascal OSErr AppQUITHandler(AppleEvent *theAEvent, AppleEvent *reply, long refcon);
	
/* Menus in general */
void	AppAdjustMenus(void);
void 	AppMenu(short id, short item);

/* File Menu */
void	AppNew(void);
void	AppOpen(void);
Boolean	AppClose(void);
Boolean	AppSave(void);
Boolean	AppSaveAs(void);
void	AppPageSetup(void);
void	AppPrint(void);

/* Edit Menu */
void 	AppUndo(void);
void 	AppCut(void);
OSErr 	AppCopy(void);
void 	AppPaste(void);
void 	AppClear(void);


/* utils.c, part of the shell, but we may need 'em */
int			abs(int i);
long		labs(long i);
Boolean 	NewPixImage(PixMapHandle ThePix, Rect *TheRect, short dpth);
Boolean 	NewBitMap(BitMap *TheMap, Rect *TheRect);
void 		CenterRect(Rect *theRect, Point *thePt);
Point 		Center(Rect *theRect);
short		NumToolboxTraps(void);
TrapType	GetTrapType(short theTrap);
Boolean		TrapAvailable(short theTrap);
void		pcat255(StringPtr d, StringPtr s);
void		pcat63(StringPtr d, StringPtr s);
void		AppendStr31(StringPtr d, StringPtr s);
