
/* 	
							CLUTLess
			In some instances it is desireable to store picts stripped of
			CLUTs in order to save some room in the disk. This sample shows
			how to create such picts and how to properly display them back.
			
			SimpleInC.c -- initialization stuff and event loop
			CLUTLess.c  -- code that does the creation of the clut less pict;
						   shows also how to display the pictures.
	
*/

/* all the includes we need. */
#include <Memory.h>
#include <QDOffscreen.h>
#include <Resources.h>
#include <StandardFile.h>
#include <ToolUtils.h>

extern 		PicHandle 	gModPict; 		// for the modified picture
extern 		CTabHandle 	gSharedClut; 	// we use this to create the 'clut' resource
										// later we use it for reading in the 'clut'

#define 	fsFromStart 	1

/* clutlessFile.c */
short 		OpenPictureFile(SFReply *reply);
void		KillFile(short ref, SFReply *reply);
void 		ClosePictureFile(short ref, SFReply *reply, PicHandle aPict);
void 		SaveCLUTResource(SFReply *sfr);

Boolean 	GetPictBack(void);
void 		GetClutBack(SFReply	*sfr);