language:  infix-dylan
module:    studio
author:    Steve Strassmann, straz@apple.com
copyright: This code is in the public domain
version:   1.0b1 20-Nov-94
comment:   code to accompany an article in Develop magazine, Feb-95
title:     Listing 3 -- Method specificity


define method double (x)	// No type declaration, default handler
	pair(x, x);					// Works on any type of object
end method double;

define method double (x :: <number>)		// Works on all numbers
	2 * x;											// Returns 2 times x
end method double;

define method double (x :: <string>)		// Works on all strings
	concatenate(x, x);							// Returns "stringstring"
end method;

define method double (x == cup:)				// Works on the symbol cup:
	pint:;											// Returns the symbol pint:
end method;