/*
	Public domain, by Zig Zichterman.
*/
/*
	LGBFont
	
	A container for the current font, size, mode and face
	
	avoid destructor tricks because we want to
	avoid requiring C++ runtime stuff
	
	11/27/94	zz	h	initial write
*/
#pragma once

class LGBFont
{
	public :
		LGBFont(void);
		
		void
		Save(void);
		
		void
		Restore(void);
	
		short	mFont;
		short	mSize;
		short	mMode;
		short	mFace;
};
