/*
	Copyright  1994 Zig Zichterman. All rights reserved.
*/
/*
	LGBPen
	
	Storage for pen info--foreground and background colors
	
	avoid destructor tricks because we want to
	avoid requiring C++ runtime stuff
	
	11/27/94	zz	h	initial write
*/
#pragma once

class LGBPen
{
	public :
		LGBPen(void);
		
		void
		Save(void);
		
		void
		Restore(void);
	
		static void
		Normal(void);
		
		ColorSpec	mForeColor;
		ColorSpec	mBackColor;
		PenState	mPenState;
};

