#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

resource 'cfrg' (0) {
	{	/* array memberArray: 1 elements */
		/* [1] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		appStackSize,
		appSubFolderID,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		""
	}
};

resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Sorts", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFBB,
	enabled,
	"Data",
	{	/* array: 9 elements */
		/* [1] */
		"New Data", noIcon, "N", noMark, plain,
		/* [2] */
		"Random Seed", noIcon, noKey, noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Tiny Data Set", noIcon, "T", noMark, plain,
		/* [5] */
		"Medium Data Set", noIcon, "M", noMark, plain,
		/* [6] */
		"Large Data Set", noIcon, "L", noMark, plain,
		/* [7] */
		"-", noIcon, noKey, noMark, plain,
		/* [8] */
		"Animation", noIcon, "A", noMark, plain,
		/* [9] */
		"Sort Data", noIcon, "S", noMark, plain
	}
};

resource 'MENU' (132) {
	132,
	textMenuProc,
	allEnabled,
	enabled,
	"Algorithm",
	{	/* array: 2 elements */
		/* [1] */
		"Bubble Sort", noIcon, noKey, noMark, plain,
		/* [2] */
		"QuickSort", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 5 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131,
		/* [5] */
		132
	}
};

resource 'WIND' (128) {
	{56, 6, 306, 616},
	noGrowDocProc,
	visible,
	noGoAway,
	0x0,
	"Sort"
	/****** Extra bytes follow... ******/
	/* $"5728 0A"                                            /* W(. */
};

resource 'DLOG' (128) {
	{40, 40, 186, 284},
	altDBoxProc,
	visible,
	goAway,
	0x0,
	128,
	""
	/****** Extra bytes follow... ******/
	/* $"0B30 0A"                                            /* .0. */
};

resource 'DLOG' (129) {
	{40, 40, 133, 278},
	dBoxProc,
	visible,
	goAway,
	0x0,
	129,
	""
	/****** Extra bytes follow... ******/
	/* $"0030 0A"                                            /* .0. */
};

resource 'DITL' (128) {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{45, 70, 101, 174},
		StaticText {
			disabled,
			"Sorts\n\nby Tim Nichols"
		}
	}
};

resource 'DITL' (129) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{55, 135, 75, 193},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{55, 45, 75, 103},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{21, 19, 37, 129},
		StaticText {
			disabled,
			"Random seed :"
		},
		/* [4] */
		{21, 139, 37, 202},
		EditText {
			enabled,
			"100"
		}
	}
};

resource 'DITL' (200) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{85, 227, 105, 285},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{15, 64, 75, 284},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'ALRT' (200) {
	{40, 40, 160, 348},
	200,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
	/****** Extra bytes follow... ******/
	/* $"300A"                                               /* 0. */
};

resource 'vers' (1) {
	0x1,
	0x0,
	development,
	0x2,
	verUS,
	"1.0d2",
	"1.0d2  1993 Apple Computer, Inc."
};

resource 'BNDL' (128) {
	'TIMN',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		}
	}
};

data 'TIMN' (0, "Owner resource") {
	$"00"                                                 /* . */
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

data 'FREF' (129) {
	$"534F 5254 0001 1E"                                  /* SORT... */
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 8000 0001 8000 0001 8000 0001"
		$"8000 0001 8000 0001 8000 0001 8000 0001"
		$"8000 0001 8000 0001 8000 001D 8000 001D"
		$"8000 001D 8000 001D 8000 039D 8000 039D"
		$"8000 039D 8000 039D 8000 739D 8000 739D"
		$"8000 739D 800E 739D 81CE 739D 81CE 739D"
		$"B9CE 739D B9CE 739D B9CE 739D B9CE 739D"
		$"B9CE 739D B9CE 739D B9CE 739D FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0FFF FF00 0800 0180 083F F140 0820 1120"
		$"0820 11F0 0824 9010 0824 9010 0820 1010"
		$"0827 9010 0820 1010 0824 9010 0824 9010"
		$"0820 1010 0820 1190 083F F190 0800 1990"
		$"0800 1990 0801 9990 0801 9990 0819 9990"
		$"0819 9990 0999 9990 0999 9990 0999 9990"
		$"0999 9990 0999 9990 0999 9990 0999 9990"
		$"0999 9990 0999 9990 0999 9990 0FFF FFF0",
		/* [2] */
		$"0FFF FF00 0FFF FF80 0FFF FFC0 0FFF FFE0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
	}
};

