/*
	File:		Planet.h

	Contains:	A set of templates to display (and calculate) the orbits of the planets.

	Written by:	Harry Chesley

	Change History (most recent first):

				 6/14/94	hrc		created

	To Do:
*/

// Time property type:

#define kTimePropertyType 1
#define kTimePropertyTypeSize 8

// Extended property type:

#define kExtendedPropertyType 2
#define kExtendedPropertyTypeSize 10

// Properties in main aspect:

#define kTimeProperty		kDETFirstDevProperty
#define kXProperty			kDETFirstDevProperty+1
#define kYProperty			kDETFirstDevProperty+2
#define kTpProperty			kDETFirstDevProperty+3
#define kEpsilonProperty	kDETFirstDevProperty+4
#define kOmegaBarProperty	kDETFirstDevProperty+5
#define keProperty			kDETFirstDevProperty+6
#define kaProperty			kDETFirstDevProperty+7
